Subject: Re: bug#71566: 30.0.50; test-custom-opts shows errors

From: Ihor Radchenko <[email-masked]>
Date: Sat, 15 Jun 2024 14:36:23 +0000

Michael Albinus <[email-masked]> writes:

>  - (string "Language name")
>  - (symbol "Major mode"))))
>  + (string :tag "Language name")
>  + (symbol :tag "Major mode"))))
>  (defcustom org-src-block-faces nil
> ...
> I don't believe this fixes it. The error shows
>
> --8<---------------cut here---------------start------------->8---
> variable: org-src-lang-modes
>    value: (("lilypond" . "LilyPond")...
>     type: (repeat (cons (string "Language name") (symbol "Major mode")))
> --8<---------------cut here---------------end--------------->8---
>
> I suppose, the cdr in ("lilypond" . "LilyPond") must be a symbol, not a
> string.

Ok. It was not obvious from the report which part is problematic, and I
spotted the problem in type declaration instead of the value.

I fixed this one as well now, on bugfix.
https://git.savannah.gnu.org/cgit/emacs/org-mode.git/commit/?h=bugfix&id=12243b9910b2a44c0584cc95492446a34cf7c2bd

-- 
Ihor Radchenko // yantar92,
Org mode contributor,
Learn more about Org mode at <https://orgmode.org/>.
Support Org development at <https://liberapay.com/org-mode>,
or support my work at <https://liberapay.com/yantar92>